CREATE TABLE bm_pricing_lookup_types (
    ID                       NUMBER(18, 0) ,
    LOOKUP_TYPE              VARCHAR2(1020)    NOT NULL,
    PARENT_LOOKUP_TYPE       VARCHAR2(2048),
    INTEGRATION_ID           VARCHAR2(1020),
    DISPLAY_LABEL            VARCHAR2(4000)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    TYPE                     NUMBER(1, 0)      NOT NULL,
    ACTIVE_FLAG              NUMBER(1, 0)      NOT NULL,
    PRICING_ROOT_ID          NUMBER(18, 0) ,
    GUID                     VARCHAR2(2048)    NOT NULL,
    USER_ADDED_ID            NUMBER(18, 0)     NOT NULL,
    USER_MODIFIED_ID         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    ID                       NUMBER(18, 0) ,
    LOOKUP_TYPE              VARCHAR2(1020)    NOT NULL,
    PARENT_LOOKUP_TYPE       VARCHAR2(2048),
    INTEGRATION_ID           VARCHAR2(1020),
    DISPLAY_LABEL            VARCHAR2(4000)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    TYPE                     NUMBER(1, 0)      NOT NULL,
    ACTIVE_FLAG              NUMBER(1, 0)      NOT NULL,
    PRICING_ROOT_ID          NUMBER(18, 0) ,
    GUID                     VARCHAR2(2048)    NOT NULL,
    USER_ADDED_ID            NUMBER(18, 0)     NOT NULL,
    USER_MODIFIED_ID         NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_bm_pricing_lookup_types PRIMARY KEY (ID, ID)
);
